# Generated from tight-redcarpet-3.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tight-redcarpet

Name: rubygem-%{gem_name}
Version: 3.2.0
Release: 1%{?dist}
Summary: Markdown that smells nice (patch level 'tight')
License: MIT
URL: http://github.com/ujifgc/redcarpet
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel >= 1.9.2
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc
# BuildRequires: rubygem(nokogiri) >= 1.6.3.1
# BuildRequires: rubygem(nokogiri) < 1.6.4
# BuildRequires: rubygem(rake-compiler) >= 0.8.3
# BuildRequires: rubygem(rake-compiler) < 0.9
# BuildRequires: rubygem(test-unit) >= 2.5.4
# BuildRequires: rubygem(test-unit) < 2.6

%description
A fast, safe and extensible Markdown to (X)HTML parser patched to have smaller
headings and no quote-escaping.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/redcarpet
%{gem_extdir_mri}
%license %{gem_instdir}/COPYING
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/redcarpet.gemspec
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 3.2.0-1
- Initial package
